Bug Hunting Session
Bug 113368 - File Selection widget in dialog causes crash
Summary: File Selection widget in dialog causes crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All Linux (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-10-22 23:00 UTC by rebelxt
Modified: 2017-11-13 06:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Demonstrate crash (9.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-10-22 23:00 UTC, rebelxt
Details
gdb backtrace (41.21 KB, text/x-log)
2017-10-23 00:49 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rebelxt 2017-10-22 23:00:39 UTC
Created attachment 137218 [details]
Demonstrate crash

When a File Selection widget (FilePicker ?) is in a dialog, clicking the "Close Window" button will cause LibreOffice to crash.

To reproduce, open the attached file; run the test macro in Module1. Click the "Close Window" button and LibreOffice crashes. You may get a BASIC runtime error initially; if so, just run the macro again. If the OK button is clicked before the "Close Window" button, there will be no crash.

crashreport.libreoffice.org/stats/crash_details/e3486eb7-41c3-4838-815d-10c12af2076f

This came to my attention in Linux Mint 18.2, LibreOffice 5.1.6.2. The crash report is from the current daily build. The crash also occurs with Test Mode On when editing the dialog. I believe that is where the crash report was generated.

I reproduced this crash in Writer 5.1.6.2. It worked properly in 3.3.4. I don't know about 4.x.x.
Comment 1 Xisco Faulí 2017-10-23 00:49:15 UTC
Created attachment 137222 [details]
gdb backtrace
Comment 2 Xisco Faulí 2017-10-23 00:54:52 UTC
Reproduced in

 Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

but not in

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 3 Julien Nabet 2017-10-23 21:46:13 UTC
I submitted a patch to review here:
https://gerrit.libreoffice.org/43731
Comment 4 Commit Notification 2017-10-24 05:07:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe22bdc3b537afa8ebcb5cb057542b762c770722

tdf#113368: fix crash when closing dialog opened with Basic

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-10-25 15:35:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e13650902068ca28cbe2bb1856f1a4c372f409bd&h=libreoffice-5-4

tdf#113368: fix crash when closing dialog opened with Basic

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 rebelxt 2017-11-13 01:07:17 UTC
I can verify that the fix works with the spreadsheet in which I initially saw the problem. I tested with a daily build of 6.0.0.
Comment 7 Julien Nabet 2017-11-13 06:08:36 UTC
Thank you for your feedback, let's put this one to VERIFIED then.